Skip to content

Get agent certificate

GET
/api/v1/agents/{role}/certificate
curl --request GET \
--url https://api.ultimateteam.ai/api/v1/agents/example/certificate \
--header 'X-API-Key: <X-API-Key>'

Returns the active certificate metadata for the specified agent role, including fingerprint, public key, status, and issuance/expiry dates.

role
required
Role

The agent role (e.g. CEO)

string

The agent role (e.g. CEO)

Successful Response

Media typeapplication/json
Response Get Agent Certificate Api V1 Agents Role Certificate Get
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}